module led_top #(
    parameter W    = 20,
    parameter CODE = 20,
    parameter LW   = 4
) 
(
    input  wire         clk,
    input  wire         rst,
    input  wire         clr,
    input  wire         blnk,
    input  wire         ishl,
    input  wire         ishr,
    output wire [LW-1:0]led_out
);

reg [W-1:0]     cnt;
reg [LW :0]     led_drv;
reg             ev_clr;

    always @(posedge clk or posedge rst)
        if (rst)                ev_clr <= 1'b0;
        else if (cnt == CODE)   ev_clr <= 1'b1;
        else                    ev_clr <= 1'b0;

    always @(posedge clk or posedge rst)
        if (rst)                cnt     <= {W-1 {1'b0}};
        else if (ev_clr     )   cnt     <= {W-1 {1'b0}};
        else                    cnt     <= cnt +1;
    
    always @(posedge clk or posedge rst)
        if (rst)                led_drv <= { 1'b1, {LW-1 {1'b0}}};
        else if (clr)           led_drv <= { 1'b1, {LW-1 {1'b0}}};
        else if (ev_clr) begin
            if (blnk)           led_drv <= ~led_drv;
            else if (ishl)       led_drv <= {led_drv[LW-1:0], led_drv[LW]};
            else if (ishr)       led_drv <= {led_drv[0], led_drv[LW:1]};
        end
        
    assign led_out = led_drv[LW-1:0];    
endmodule